prompt $G

rem tsw3.bat - MAINTAIN HARMONICITY & PRESERVE FORMANTS
rem deletions: tsw3dels.bat
rem	PITCH OCTMOVE and REPITCH TRANSPOSEF
rem	PITCH TRANSPOSE also called upon to enable direct aural 
rem	 comparison with the same transpositions in which the 
rem	 formants move (not preserved).

rem SOURCES
rem	vocalsnd.wav    4.934    sec 44100 mono
rem	drumsnd.wav	4.95	 sec 44100 mono
rem	hornsnd.wav     5.386236 sec 44100 mono
rem	bellsnd.wav     4.899932 sec 44100 mono	

echo on

rem PRE-PROCESSING:  COPY SOURCE TO GENERIC FILENAME AND ANALYSE
copysfx vocalsnd.wav tsw3.wav
pvoc anal 1 tsw3.wav tsw3.ana

rem EXTRACT PITCH TRACE (.frq) AND AUDITION
repitch getpitch 1 tsw3.ana tsw3dummy.ana tsw3.frq
pvoc synth tsw3dummy.ana tsw3dummy.wav
del tsw3dummy.ana
pause
playsfx tsw3dummy.wav
del tsw3dummy.wav

rem EXPLORING PITCH OCTMOVE (FORMANTS PRESERVED)

rem UP 2 OCTAVES
pitch octmove 1 tsw3.ana tsw3.frq tsw3om1.ana 2
pvoc synth tsw3om1.ana tsw3om1.wav
del tsw3om1.ana
pause
playsfx -i tsw3om1.wav

rem UP 3 OCTAVES
pitch octmove 1 tsw3.ana tsw3.frq tsw3om2.ana 3
pvoc synth tsw3om2.ana tsw3om2.wav
del tsw3om2.ana
pause
playsfx -i tsw3om2.wav

rem UP 4 OCTAVES
pitch octmove 1 tsw3.ana tsw3.frq tsw3om3.ana 4
pvoc synth tsw3om3.ana tsw3om3.wav
del tsw3om3.ana
pause
playsfx -i tsw3om3.wav

rem UP 3 OCTAVES PLUS BASS-BOOST
pitch octmove 3 tsw3.ana tsw3.frq tsw3om4.ana 3 4
pvoc synth tsw3om4.ana tsw3om4.wav
del tsw3om4.ana
pause
playsfx -i tsw3om4.wav


rem EXPLORING TRANSPOSEF (FORMANTS PRESERVED, -f and -p options)
rem  BEST WITH VOCAL SOUNDS

rem UP 12
repitch transposef 3 tsw3.ana tsw3rtfu12.ana -f12 12
pvoc synth tsw3rtfu12.ana tsw3rtfu12.wav
del tsw3rtfu12.ana
pause
playsfx -i tsw3rtfu12.wav

rem UP 19
repitch transposef 3 tsw3.ana tsw3rtfu19.ana -f12 19
pvoc synth tsw3rtfu19.ana tsw3rtfu19.wav
del tsw3rtfu19.ana
pause
playsfx -i tsw3rtfu19.wav

rem UP 24
repitch transposef 3 tsw3.ana tsw3rtfu24.ana -f12 24
pvoc synth tsw3rtfu24.ana tsw3rtfu24.wav
del tsw3rtfu24.ana
pause
playsfx -i tsw3rtfu24.wav


rem TRANSPOSE (FORMANTS NOT PRESERVED - BETTER WITH NON-VOCAL SOUNDS)

rem UP 12
repitch transpose 3 tsw3.ana tsw3rtu12.ana 12
pvoc synth tsw3rtu12.ana tsw3rtu12.wav
del tsw3rtu12.ana
pause
playsfx -i tsw3rtu12.wav

rem UP 19
repitch transpose 3 tsw3.ana tsw3rtu19.ana 19
pvoc synth tsw3rtu19.ana tsw3rtu19.wav
del tsw3rtu19.ana
pause
playsfx -i tsw3rtu19.wav

rem UP 24
repitch transpose 3 tsw3.ana tsw3rtu24.ana 24
pvoc synth tsw3rtu24.ana tsw3rtu24.wav
del tsw3rtu24.ana
pause
playsfx -i tsw3rtu24.wav

del tsw3.ana

rem to delete these files and use a different input, run tsw3dels.bat
rem then edit the COPYSFX line(s) in tsw3.bat to create new generic infile(s)
pause

echo off

prompt $P$G

