prompt $G

rem tsw6cp.bat - CROSS-PROCESSING BONANZA
rem deletions: tsw6dels.bat
rem	REPITCH COMBINE and other REPITCH Functions

rem SOURCES
rem	vocalsnd.wav    4.934    sec 44100 mono
rem	drumsnd.wav     4.95	 sec 44100 mono
rem	hornsnd.wav     5.386236 sec 44100 mono
rem	bellsnd.wav     4.899932 sec 44100 mono	
echo on

rem tsw6cp1 = bellsndlp   tsw6cp2 = vocalsnd   tsw6cp3 = drumsnd
pause

rem PRE-PROCESSING
rem 1. COPY 3 SOURCES TO GENERIC FILENAMES
copysfx bellsnd.wav tsw6cp1.wav
copysfx vocalsnd.wav tsw6cp2.wav
copysfx drumsnd.wav tsw6cp3.wav

rem 2. ANALYSE
pvoc anal 1 tsw6cp1.wav  tsw6cp1.ana
pvoc anal 1 tsw6cp2.wav tsw6cp2.ana
pvoc anal 1 tsw6cp3.wav  tsw6cp3.ana

rem 3. EXTRACT PITCH TRACE (.FRQ: binary pitch data file)
repitch getpitch 1 tsw6cp1.ana tsw6cp1hearfrq.ana tsw6cp1.frq
repitch getpitch 1 tsw6cp2.ana tsw6cp2hearfrq.ana tsw6cp2.frq
repitch getpitch 1 tsw6cp3.ana tsw6cp3hearfrq.ana tsw6cp3.frq

rem 4. SYNTHESISE INTERMEDIATE .ANA TO AUDITION THE PITCH TRACES
pvoc synth tsw6cp1hearfrq.ana tsw6cp1hearfrq.wav
rem BELLSND PITCH TRACE
pause
playsfx -i tsw6cp1hearfrq.wav

pvoc synth tsw6cp2hearfrq.ana tsw6cp2hearfrq.wav
rem VOCALSND PITCH TRACE
pause
playsfx -i tsw6cp2hearfrq.wav

pvoc synth tsw6cp3hearfrq.ana tsw6cp3hearfrq.wav
rem DRUMSND PITCH TRACE
pause
playsfx -i tsw6cp3hearfrq.wav

del tsw6cp1hearfrq.ana
del tsw6cp2hearfrq.ana
del tsw6cp3hearfrq.ana
pause

rem WORK OUT VARIOUS COMBINATIONS, COMPLETE THE TRANSPOSITION USING 
rem  TRANSPOSE MODE 4, RESYNTHESISE AND AUDITION

rem COMBINE 2 DIFFERENT .FRQ TO MAKE A .TRN (NOTE ORDER OF INPUT FILES)
rem 1by2 (BELLSND BY VOCALSND)
repitch combine 1 tsw6cp1.frq tsw6cp2.frq   tsw6cp1by2.trn
rem TRANSPOSE SOURCE 1 WITH THE 1by2 COMBINATION
rem BELLSND WHIZZES UP AND DOWN WITH VOCAL CONTOUR
repitch transpose 4 tsw6cp1.ana tsw6cp1by2.trn tsw6cp1by2.ana
pvoc synth tsw6cp1by2.ana tsw6cp1by2.wav
pause
playsfx -i tsw6cp1by2.wav

rem 2by1 (VOCALSND BY BELLSND)
repitch combine 1 tsw6cp2.frq tsw6cp1.frq   tsw6cp2by1.trn
rem TRANSPOSE SOURCE 2 WITH THE 2by1 COMBINATION
rem VOCALSND SEEMS SQUEEZED THROUGH A NARROW (TIME-VARYING) HOLE
repitch transpose 4 tsw6cp2.ana tsw6cp2by1.trn tsw6cp2by1.ana
pvoc synth tsw6cp2by1.ana tsw6cp2by1.wav
pause
playsfx -i tsw6cp2by1.wav

rem 3by2 (DRUMSND BY VOCALSND)
repitch combine 1 tsw6cp3.frq tsw6cp2.frq   tsw6cp3by2.trn
rem TRANSPOSE SOURCE 3 WITH THE 3by2 COMBINATION
rem DRUMSND SWINGS UP AND DOWN, WITH GLISSANDOS
repitch transpose 4 tsw6cp3.ana tsw6cp3by2.trn tsw6cp3by2.ana
pvoc synth tsw6cp3by2.ana tsw6cp3by2.wav
pause
playsfx -i tsw6cp3by2.wav

rem COMBINE SOURCE 1 .FRQ WITH 1by2 .TRN, MAKING A .FRQ
rem (BELLSND WITH BELLSNDbyVOCALSND)
repitch combine 2 tsw6cp1.frq tsw6cp1by2.trn tsw6cp1and1by2.frq
rem APPLY VIBRATO TO PREVIOUS OUTPUT, MAKING A .TRN
repitch vibrato 2 tsw6cp1and1by2.frq tsw6cp1and1by2.trn 5 3
rem TRANSPOSE SOURCE 1 WITH THE 1 and 1by2 VIBRATO COMBINATION
rem BELLSND HAS SIGNIFICANT VIBRATO, THEN SETTLES
repitch transpose 4 tsw6cp1.ana tsw6cp1and1by2.trn tsw6cp1and1by2.ana
pvoc synth tsw6cp1and1by2.ana tsw6cp1and1by2.wav
pause
playsfx -i tsw6cp1and1by2.wav

rem COMBINE SOURCE 1 .FRQ WITH 2by1 .TRN, MAKING A .FRQ
rem (BELLSND WITH VOCALSNDbyBELLSND)
repitch combine 2 tsw6cp1.frq tsw6cp2by1.trn tsw6cp1and2by1.frq
rem APPLY EXAG TO PREVIOUS OUTPUT, MAKING A .TRN
repitch exag    2 tsw6cp1and2by1.frq tsw6cp1and2by1.trn 67 1.2
rem TRANSPOSE SOURCE 1 WITH THE 1 and 2by1 EXAG COMBINATION
repitch transpose 4 tsw6cp1.ana tsw6cp1and2by1.trn tsw6cp1and2by1.ana
pvoc synth tsw6cp1and2by1.ana tsw6cp1and2by1.wav
pause
playsfx -i tsw6cp1and2by1.wav

rem COMBINE SOURCE 2 WITH 1by2 .TRN, MAKING A .FRQ
rem (VOCALSND WITH BELLSNDbyVOCALSND)
repitch combine 2  tsw6cp2.frq tsw6cp1by2.trn tsw6cp2and1by2.frq
rem APPLY INVERT TO PREVIOUS OUTPUT, MAKING A .TRN
repitch invert  2 tsw6cp2and1by2.frq tsw6cp2and1by2.trn 0
rem TRANSPOSE SOURCE 2 WITH THE 2 and 1by2 INVERT COMBINATION
rem INVERTed (DESCENDING) VOCALSND NOW SWINGS UPWARDS
repitch transpose 4 tsw6cp2.ana tsw6cp2and1by2.trn tsw6cp2and1by2.ana
pvoc synth tsw6cp2and1by2.ana tsw6cp2and1by2.wav
pause
playsfx -i tsw6cp2and1by2.wav

rem COMBINE SOURCE 2 .FRQ WITH 2by1 .TRN, MAKING A .FRQ
rem (VOCALSND WITH VOCALSNDbyBELLSND)
repitch combine 2 tsw6cp2.frq tsw6cp2by1.trn tsw6cp2and2by1.frq
rem APPLY QUANTISE TO PREVIOUS OUTPUT, MAKING A .TRN
repitch quantise 2 tsw6cp2and2by1.frq tsw6cp2and2by1.trn q_set.txt -o
rem TRANSPOSE SOURCE 1 WITH THE 2 and 2by1 QUANTISE COMBINATION
rem QUANTISEd TO C-min-7th BELLSND -- LITTLE CHANGE
repitch transpose 4 tsw6cp1.ana tsw6cp2and2by1.trn tsw6cp2and2by1.ana
pvoc synth tsw6cp2and2by1.ana tsw6cp2and2by1.wav
pause
playsfx -i tsw6cp2and2by1.wav

rem COMBINE 1by2 .TRN WITH 3by2 .TRN
rem (BELLSNDbyVOCALSND WITH DRUMSNDbyVOCALSND)
repitch combine 3 tsw6cp1by2.trn tsw6cp3by2.trn tsw6cp1by2and3by2.trn
rem TRANSPOSE SOURCE 1 WITH THE 1by2 and 3by2 COMBINATIONS
rem WILD SWINGS, ENDING ON LOW TONE
repitch transpose 4 tsw6cp1.ana tsw6cp1by2and3by2.trn tsw6cp1by2and3by2.ana
rem THIS COMBINATION OVERFLOWED -- REDUCING GAIN BEFORE RESYNTHESIS
spec gain tsw6cp1by2and3by2.ana tsw6cp1by2and3by2gd.ana 0.85
pvoc synth tsw6cp1by2and3by2gd.ana tsw6cp1by2and3by2gd.wav
pause
playsfx -i tsw6cp1by2and3by2gd.wav

rem to delete these files and use a different input, run tsw6dels.bat
rem then edit the COPYSFX line(s) in tsw6.bat to create new generic infile(s)
pause

echo off

prompt $P$G
