prompt $G

rem tsw1.bat - realising the simple to more complex sequence of 
rem  outputs
rem the deletions file is tsw1dels.bat

rem INPUTS (vocal, drum, pitched instr., bell/gong -- each ca 5 sec.)
rem	vocalsnd.wav  4.934    sec 44100 mono
rem	drumsnd.wav	  4.95	 sec 44100 mono
rem	hornsnd.wav   5.386236 sec 44100 mono
rem	bellsnd.wav   4.899932 sec 44100 mono
rem BREAKPOINT FILES
rem	glideup.brk:  0 0, 0.49 0, 0.5 -12, 4.0 24, 4.8 -12
rem TEXT FILES	
rem	harmon.txt: 2 0.6, 4  0.8

echo on

rem PRE-PROCESSING

rem  COPY 1ST SOUND TO GENERIC NAME 
copysfx vocalsnd.wav tsw1.wav
pvoc anal 1 tsw1.wav tsw1.ana
repitch getpitch 1 tsw1.ana tsw1ptrace.ana tsw1.frq
pvoc synth tsw1ptrace.ana tsw1ptrace.wav
del tsw1ptrace.ana
pause

rem	COPY 2ND SOUND TO GENERIC NAME
copysfx drumsnd.wav tsw1-2nd.wav
pvoc anal 1 tsw1-2nd.wav tsw1-2nd.ana
repitch getpitch 1 tsw1-2nd.ana tsw1-2ndptrace.ana tsw1-2nd.frq
pvoc synth tsw1-2ndptrace.ana tsw1-2ndptrace.wav
del tsw1-2ndptrace.ana
pause

rem	RAISE THE PITCH TRACE OF THE 1ST SOUND AND THEN 
rem  COMBINE WITH ORIGINAL PITCH TRACE TO MAKE A .TRN FILE
repitch pchshift tsw1.frq tsw1u7.frq 7
repitch combine 1 tsw1.frq tsw1u7.frq tsw1u7.trn
pause

rem HARMONICITY AND FORMANTS PRESERVED (TRANSPOSEF)

rem 1a. TRANSPOSEF BY A CONSTANT
repitch transposef 3 tsw1.ana tsw1-1a.ana -f24 7
pvoc synth tsw1-1a.ana tsw1-1a.wav
del tsw1-1a.ana
pause
playsfx -i tsw1-1a.wav

rem 1b. TRANSPOSEF BY A TIME-VARYING BREAKPOINT FILE (SEMITONES)
repitch transposef 3 tsw1.ana tsw1-1b.ana -f24 glideup.brk
pvoc synth tsw1-1b.ana tsw1-1b.wav
del tsw1-1b.ana
pause
playsfx -i tsw1-1b.wav

rem 2a. APPLY .TRN (RAISED UP 7 SEMITONES) MADE FROM .FRQ OF 1ST SOUND
repitch transposef 4 tsw1.ana tsw1u7.trn tsw1-2a.ana -f24
pvoc synth tsw1-2a.ana tsw1-2a.wav
del tsw1-2a.ana
pause
playsfx -i tsw1-2a.wav

rem 2b. .FRQ MADE FROM 1ST SOUND USED AS OCTMOVE TRANSPOSITION PATTERN
pitch octmove 1 tsw1.ana tsw1.frq tsw1-2b.ana 3
pvoc synth tsw1-2b.ana tsw1-2b.wav
del tsw1-2b.ana 
pause
playsfx -i tsw1-2b.wav

rem 3. TIME-VARYING TIME-DOMAIN TRANSPOSITION
modify speed 2 tsw1.wav tsw1-3.wav glideup.brk
pause
playsfx -i tsw1-3.wav

rem 4. TIME-DOMAIN HARMONIC DISTORTION, WITH harmon.txt
distort harmonic tsw1.wav tsw1-4.wav harmon.txt -p0.75
pause
playsfx -i tsw1-4.wav

rem 5. REPITCH TRANSPOSE (WITHOUT PRESERVING FORMANTS)
repitch transpose 3 tsw1.ana tsw1-5.ana glideup.brk
pvoc synth tsw1-5.ana tsw1-5.wav
del tsw1-5.ana
pause
playsfx -i tsw1-5.wav

rem 6. TRANSP Mode 3:  OCTAVE TRANSPOSE UP AND DOWN FROM SPLIT POINT
pitch transp 3 tsw1.ana tsw1-6.ana 1000
pvoc synth tsw1-6.ana tsw1-6.wav
del tsw1-6.ana
pause
playsfx -i tsw1-6.wav

rem 7. TRANSP Mode 6:  TRANSPOSE SPECIFIED AMOUNTS UP AND DOWN FROM SPLIT POINT
pitch transp 6 tsw1.ana tsw1-7.ana 1000 7 -5
pvoc synth tsw1-7.ana tsw1-7.wav
del tsw1-7.ana
pause
playsfx -i tsw1-7.wav

rem 8. STRANGE SHIFT Mode 5:  INHARMONIC SHIFT UP AND DOWN OUTSIDE SPECIFIED RANGE
strange shift 5 tsw1.ana tsw1-8.ana 2000 900 1200
pvoc synth tsw1-8.ana tsw1-8.wav
del tsw1-8.ana
pause
playsfx -i tsw1-8.wav

rem 9. MAKE A .TRN BY INVERTING A .FRQ, THEN TRANSPOSE A SOUND WITH IT
rem    here we invert the pitch trace of the original sound
repitch invert 2 tsw1.frq tsw1-9inv.trn 0
repitch transpose 4 tsw1.ana tsw1-9inv.trn tsw1-9.ana
pvoc synth tsw1-9.ana tsw1-9.wav
del tsw1-9.ana
pause
playsfx -i tsw1-9.wav

rem 10. COMBINATIONS 1: 2 .FRQS FROM DIFFERENT SOUNDS TO MAKE A .TRN, THEN  
rem  TRANSPOSE THE 1ST SOUND WITH IT (without preserving formants)
repitch combine 1 tsw1.frq tsw1-2nd.frq tsw1-10.trn
repitch transpose 4 tsw1.ana tsw1-10.trn tsw1-10.ana
pvoc synth tsw1-10.ana tsw1-10.wav
del tsw1-10.ana
pause
playsfx -i tsw1-10.wav

rem 11. COMBINATIONS 2: RE-DO INVERTED .FRQ, BUT SAVE AS .FRQ (INSTEAD 
rem  OF .TRN) SO CAN APPLY VIBRATO TO IT
repitch invert 1 tsw1.frq tsw1-11inv.frq 0
repitch vibrato 1 tsw1-11inv.frq tsw1-11iv.frq 5 2
rem combine the 2nd sound .frq with the vibrato'd inversion of the 1st:
repitch combine 1  tsw1-2nd.frq tsw1-11iv.frq tsw1-11iv.trn

rem     APPLY TO THE 1ST SOUND
repitch transpose 4 tsw1.ana tsw1-11iv.trn tsw1-11iva.ana
pvoc synth tsw1-11iva.ana tsw1-11iva.wav
del tsw1-11iva.ana
pause
playsfx -i tsw1-11iva.wav

rem     APPLY SAME TO THE 2ND SOUND
repitch transpose 4 tsw1-2nd.ana tsw1-11iv.trn tsw1-11ivb.ana
pvoc synth tsw1-11ivb.ana tsw1-11ivb.wav
del tsw1-11ivb.ana
pause
playsfx -i tsw1-11ivb.wav

del tsw1.ana
del tsw1-2nd.ana

rem to delete the remaining files and use a different input, run tsw1dels.bat
rem then edit the COPYSFX line(s) in tsw1.bat to create new generic infile(s)
pause

echo off
prompt $P$G
