prompt $G

rem tsw2.bat - Transposition & Shifting Workshop Batchfile
rem	SIMPLE TRANSPOSITIONS - all examples: up one octave
rem the deletions file is tsw2dels.bat

rem INPUTS
rem	vocalsnd.wav    4.934    sec 44100 mono
rem	drumsnd.wav	4.95	 sec 44100 mono
rem	hornsnd.wav     5.386236 sec 44100 mono
rem	bellsnd.wav     4.899932 sec 44100 mono	
rem BREAKPOINT FILES
rem	tsw2harm.txt:  4 0.5, 8 0.5, 16 0.5, 32 0.5
rem	tsw2brk.brk:  0 0, 1 12, 3 -24, 4.5 12

echo on

rem PRE-PROCESSING: COPY SOUND TO GENERIC NAME AND ANALYSE
copysfx vocalsnd.wav tsw2.wav
pvoc anal 1 tsw2.wav tsw2.ana

rem TRANSPOSE WHOLE SOUND, MAINTAINING HARMONICITY AND 
rem   NOT PRESERVING FORMANTS

rem PART 1 - IN THE TIME-DOMAIN (VARIOUS EXAMPLES)

rem TRANSPOSE BY A CONSTANT
modify speed 2 tsw2.wav tsw2u12.wav  12
pause
playsfx -i tsw2u12.wav

rem TIME-VARYING TRANSPOSITION
modify speed 2 tsw2.wav tsw2tvtrn.wav tsw2brk.brk
pause
playsfx -i tsw2tvtrn.wav

rem ACCELERATING TRANSPOSITION
modify speed 5 tsw2.wav tsw2accel.wav 12 2
pause
playsfx -i tsw2accel.wav

rem PITCH DISPLACEMENT VIBRATO
modify speed 6 tsw2.wav tsw2vib.wav 12 7
pause
playsfx -i tsw2vib.wav

rem DISTORTION BY MULTIPLYING PSEUDO-WAVECYCLE FREQUENCIES
distort multiply tsw2.wav tsw2mult.wav 2
pause
playsfx -i tsw2mult.wav

rem DISTORTION BY SUPERIMPOSING PSEUDO-HARMONICS
distort harmonic tsw2.wav tsw2harm.wav tsw2harm.txt -p0.5
pause
playsfx -i tsw2harm.wav

rem PART 2 - IN THE SPECTRAL-DOMAIN

rem TRANSP: FRQSPLIT AT BOTTOM (10Hz); TRANSPOSE FACTOR IS A CONSTANT
pitch transp 4 tsw2.ana tsw2transp.ana 10 12
pvoc synth tsw2transp.ana tsw2transp.wav
del tsw2transp.ana
pause
playsfx -i tsw2transp.wav

rem TRANSPOSE WITHOUT PRESERVING FORMANTS
repitch transpose 3 tsw2.ana tsw2tpose.ana tsw2brk.brk
pvoc synth tsw2tpose.ana tsw2tpose.wav
del tsw2tpose.ana
pause 
playsfx -i tsw2tpose.wav

rem TRANSPOSEF - FORMANTS PRESERVED
repitch transposef 3 tsw2.ana tsw2tposef.ana -f12 tsw2brk.brk
pvoc synth tsw2tposef.ana tsw2tposef.wav
del tsw2tposef.ana
pause
playsfx -i tsw2tposef.wav

del tsw2.ana

rem to delete these files and use a different input, run tsw2dels.bat
rem then edit the COPYSFX line(s) in tsw1.bat to create new generic infile(s)
pause

echo off

prompt $P$G