prompt $G

rem tsw4.bat - DO NOT MAINTAIN HARMONICITY & DO NOT PRESERVE FORMANTS
rem deletions: tsw4dels.bat
rem  exploring STRANGE SHIFT

rem INPUTS	
rem	vocalsnd.wav    4.934    sec 44100 mono
rem	drumsnd.wav	4.95	 sec 44100 mono
rem	hornsnd.wav     5.386236 sec 44100 mono
rem	bellsnd.wav     4.899932 sec 44100 mono	
rem BREAKPOINT FILES
rem	frqshift.brk
rem	frqdiv.brk
rem	frqlow.brk
rem	frqhigh.brk
rem TEXT FILES
rem	tsw4bits.txt

echo on

rem PRE-PROCESSING FOR PITCH TRANSP - COPY SOURCE TO GENERIC 
rem  AND ANALYSE
copysfx vocalsnd.wav tsw4pt.wav
pvoc anal 1 tsw4pt.wav tsw4pt.ana

rem PRE-PROCESSING FOR HILITE BAND - COPY SOURCE TO GENERIC 
rem  AND ANALYSE
copysfx vocalsnd.wav tsw4hb.wav
pvoc anal 1 tsw4hb.wav tsw4hb.ana
pause

rem DISPLAY ENERGY FOCUS OF ORIGINAL SOUND
specinfo peak tsw4hb.ana tsw4hbpk.txt
type tsw4hbpk.txt
pause

rem PRE-PROCESSING FOR STRANGE SHIFT - COPY SOURCE TO GENERIC 
rem  AND ANALYSE
copysfx drumsnd.wav tsw4ss.wav
pvoc anal 1 tsw4ss.wav  tsw4ss.ana
pause
rem DISPLAY ENERGY FOCUS OF ORIGINAL SOUND
specinfo peak tsw4ss.ana tsw4sspeak.txt
type tsw4sspeak.txt
pause
rem PLAY SOURCE SOUNDFILE FOR AURAL REFERENCE
playsfx -i tsw4ss.wav


rem RUN THE 6 MODES OF PITCH TRANSP - shift (part of) the spectrum
rem PITCH TRANSP: MODE 1 - 8VE UP, ABOVE FRQ_SPLIT
pitch transp 1 tsw4pt.ana tsw4ptm1.ana 1000
pvoc synth tsw4ptm1.ana tsw4ptm1.wav
del tsw4ptm1.ana
pause
playsfx -i tsw4ptm1.wav

rem PITCH TRANSP:  MODE 2 - 8VE DOWN, BELOW FRQ_SPLIT
pitch transp 2 tsw4pt.ana tsw4ptm2.ana 1000
pvoc synth tsw4ptm2.ana tsw4ptm2.wav
del tsw4ptm2.ana
pause
playsfx -i tsw4ptm2.wav

rem PITCH TRANSP: MODE 3 - 8VE ABOVE AND BELOW FRQ_SPLIT
pitch transp 3 tsw4pt.ana tsw4ptm3.ana 1000
pvoc synth tsw4ptm3.ana tsw4ptm3.wav
del tsw4ptm3.ana
pause
playsfx -i tsw4ptm3.wav

rem PITCH TRANSP: MODE 4 - SHIFT UP, ABOVE FRQ_SHIFT 
pitch transp 4 tsw4pt.ana tsw4ptm4.ana 1000  20
pvoc synth tsw4ptm4.ana tsw4ptm4.wav
del tsw4ptm4.ana
pause
playsfx -i tsw4ptm4.wav

rem PITCH TRANSP, MODE 5 - SHIFT DOWN, BELOW FRQ_SPLIT
pitch transp 5 tsw4pt.ana tsw4ptm5.ana 1000  20
pvoc synth tsw4ptm5.ana tsw4ptm5.wav
del tsw4ptm5.ana
pause
playsfx -i tsw4ptm5.wav

rem PITCH TRANSP, MODE 6 - SHIFT UP AND DOWN FROM FRQ_SPLIT
pitch transp 6 tsw4pt.ana tsw4ptm6.ana 1000  20 10
pvoc synth tsw4ptm6.ana tsw4ptm6.wav
del tsw4pt.ana
del tsw4ptm6.ana
pause
playsfx -i tsw4ptm6.wav


rem EXAMPLE FOR HILITE BAND WITH DATAFILE
type tsw4bits.txt
pause
hilite band tsw4hb.ana tsw4hb1.ana tsw4bits.txt
pvoc synth tsw4hb1.ana tsw4hb1.wav
del tsw4hb.ana
del tsw4hb1.ana
pause
playsfx -i tsw4hb1.wav


rem RUN THE 5 MODES OF STRANGE SHIFT
rem Mode 1: SHIFT ALL
strange shift 1 tsw4ss.ana tsw4ssm1.ana frqshift.brk
pvoc synth tsw4ssm1.ana tsw4ssm1.wav 
del tsw4ssm1.ana
pause
playsfx -i tsw4ssm1.wav

rem Mode 2: SHIFT ABOVE FRQ
strange shift 2 tsw4ss.ana tsw4ssm2.ana frqshift.brk frqdiv.brk
pvoc synth tsw4ssm2.ana tsw4ssm2.wav
del tsw4ssm2.ana
pause
playsfx -i tsw4ssm2.wav

rem Mode 3: SHIFT BELOW FRQ
strange shift 3 tsw4ss.ana tsw4ssm3.ana frqshift.brk frqdiv.brk
pvoc synth tsw4ssm3.ana tsw4ssm3.wav 
del tsw4ssm3.ana
pause
playsfx -i tsw4ssm3.wav

rem Mode 4: SHIFT BETWEEN FRQS
strange shift 4 tsw4ss.ana tsw4ssm4.ana 101 frqlow.brk frqhigh.brk
pvoc synth tsw4ssm4.ana tsw4ssm4.wav 
del tsw4ssm4.ana
pause
playsfx -i tsw4ssm4.wav

rem Mode 5: SHIFT OUTSIDE FRQS
strange shift 5 tsw4ss.ana tsw4ssm5.ana frqshift.brk frqlow.brk frqhigh.brk
pvoc synth tsw4ssm5.ana tsw4ssm5.wav 
del tsw4ss.ana
del tsw4ssm5.ana
pause
playsfx -i tsw4ssm5.wav

rem to delete these files and use a different input, run tsw4dels.bat
rem then edit the COPYSFX line(s) in tsw4.bat to create new generic infile(s)
pause

echo off

prompt $P$G
