prompt $G

rem tsw5.bat - INTERMEDIATE PROCESSING OF .FRQ FILES
rem deletions: tsw5dels.bat
rem  exploring REPITCH processing options

rem INPUTS	
rem	vocalsnd.wav    4.934    sec 44100 mono
rem	drumsnd.wav	4.95	 sec 44100 mono
rem	hornsnd.wav     5.386236 sec 44100 mono
rem	bellsnd.wav     4.899932 sec 44100 mono	
rem BREAKPOINT FILES

rem TEXT FILES
rem	tsw5qset.txt:  54 55 56

echo on

rem PRE-PROCESSING - COPY INPUT TO GENERIC FILENAME, ANALYSE 
rem  AND EXTRACT PITCH TRACE (.FRQ)
copysfx vocalsnd.wav tsw5.wav
pvoc anal 1 tsw5.wav tsw5.ana
repitch getpitch 1 tsw5.ana tsw5hearfrq.ana tsw5.frq
pvoc synth tsw5hearfrq.ana tsw5hearfrq.wav
del tsw5hearfrq.ana
pause
playsfx -i tsw5hearfrq.wav

rem 1ST PROCESS - EXAGGERATE PITCH CONTOUR
repitch exag 5 tsw5.frq tsw5x.frq 55 18 1
repitch exag 6 tsw5.frq tsw5x.trn 55 18 1
repitch transpose 4 tsw5.ana tsw5x.trn tsw5x.ana
pvoc synth tsw5x.ana tsw5x.wav
del tsw5x.ana
pause
playsfx -i tsw5x.wav

rem 2nd PROCESS - INVERT PITCH CONTOUR
repitch invert 1 tsw5x.frq tsw5xi.frq 0
repitch invert 2 tsw5x.frq tsw5xi.trn 0
repitch transpose 4 tsw5.ana tsw5xi.trn tsw5xi.ana
pvoc synth tsw5xi.ana tsw5xi.wav
del tsw5xi.ana
pause
playsfx -i tsw5xi.wav

rem 3rd PROCESS - QUANTISE PITCH CONTOUR
rem Inexplicable:  the previous INVERT seems to be lost
repitch quantise 1 tsw5xi.frq tsw5xiq.frq tsw5qset.txt
repitch quantise 2 tsw5xi.frq tsw5xiq.trn tsw5qset.txt
repitch transpose 4 tsw5.ana tsw5xiq.trn tsw5xiq.ana
pvoc synth tsw5xiq.ana tsw5xiq.wav
del tsw5xiq.ana
pause
playsfx -i tsw5xiq.wav

rem 4th PROCESS - RANDOMISE PITCH CONTOUR
repitch randomise 1 tsw5xiq.frq tsw5xiqr.frq 19 100
repitch randomise 2 tsw5xiq.frq tsw5xiqr.trn 19 100
repitch transpose 4 tsw5.ana tsw5xiqr.trn tsw5xiqr.ana
pvoc synth tsw5xiqr.ana tsw5xiqr.wav
del tsw5xiqr.ana
pause
playsfx -i tsw5xiqr.wav

rem 5th PROCESS - SMOOTH PITCH CONTOUR
repitch smooth 1 tsw5xiqr.frq tsw5xiqrs.frq 500
repitch smooth 2 tsw5xiqr.frq tsw5xiqrs.trn 500
repitch transpose 4 tsw5.ana tsw5xiqrs.trn tsw5xiqrs.ana
pvoc synth tsw5xiqrs.ana tsw5xiqrs.wav
del tsw5xiqrs.ana
pause
playsfx -i tsw5xiqrs.wav

rem 6th PROCESS - PCHSHIFT PITCH CONTOUR
repitch pchshift tsw5xiqrs.frq tsw5xiqrsp.frq  7
repitch combine 1 tsw5.frq tsw5xiqrsp.frq tsw5xiqrsp.trn
repitch transpose 4 tsw5.ana tsw5xiqrsp.trn tsw5xiqrsp.ana
pvoc synth tsw5xiqrsp.ana tsw5xiqrsp.wav
del tsw5xiqrsp.ana
pause
playsfx -i tsw5xiqrsp.wav

rem 7th and FINAL PROCESS - VIBRATO PITCH CONTOUR
repitch vibrato 2 tsw5xiqrsp.frq tsw5xiqrspv.trn 20 9

rem CONVERT LAST .TRN TO .ANA and RESYNTHESISE
repitch transpose 4 tsw5.ana tsw5xiqrspv.trn tsw5xiqrspv.ana
pvoc synth tsw5xiqrspv.ana tsw5xiqrspv.wav
del tsw5xiqrspv.ana
pause
playsfx -i tsw5xiqrspv.wav

del tsw5.ana

rem to delete these files and use a different input, run tsw5dels.bat
rem then edit the COPYSFX line(s) in tsw5.bat to create new generic infile(s)
pause

echo off

prompt $P$G
